package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ServiceCheckBean extends BaseMesPageBean {

        private List<ListBean> list;

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }


        public static class ListBean {
            /**
             * id : 697eccdb9e5f11ea8334fa163e1166bd
             * createDateTime : 2020-05-25
             * updateDateTime : null
             * billNum : DJB2005251003
             * billDescription : 2233
             * planId : 686a53ca9e5f11ea8334fa163e1166bd
             * assetId : null
             * spotCheckPersonId : null
             * acceptancePsersionId : null
             * locationId : null
             * description : null
             * planBeginTime : null
             * planEndTime : null
             * beginTimePlan : null
             * endTimePlan : null
             * beginTimeAdjust : null
             * endTimeAdjust : null
             * beginTimeActual : 14:00:00
             * endTimeActual : null
             * adjustBeginTime : null
             * adjustEndTime : null
             * actualBeginTime : 2020-06-02 14:00:00
             * actualEndTime : null
             * createby : null
             * changeby : null
             * delete : null
             * status : 0
             * siteId : null
             * orgId : null
             * astAssetCode : null
             * astAssetName : null
             * createUserCode : null
             * createUserName : null
             * spotCheckPersonCode : null
             * spotCheckPersonName : 测试部门3
             * locationName : null
             * siteName : 销售七公司（GK）
             * templateId : null
             * procId : null
             * approved : null
             */

            private String id;
            private String createDateTime;
            private Object updateDateTime;
            private String billNum;
            private String billDescription;
            private String planId;
            private Object assetId;
            private Object spotCheckPersonId;
            private Object acceptancePsersionId;
            private Object locationId;
            private Object description;
            private Object planBeginTime;
            private Object planEndTime;
            private Object beginTimePlan;
            private Object endTimePlan;
            private Object beginTimeAdjust;
            private Object endTimeAdjust;
            private String beginTimeActual;
            private Object endTimeActual;
            private Object adjustBeginTime;
            private Object adjustEndTime;
            private String actualBeginTime;
            private Object actualEndTime;
            private Object createby;
            private Object changeby;
            private Object delete;
            private int status;
            private Object siteId;
            private Object orgId;
            private Object astAssetCode;
            private Object astAssetName;
            private Object createUserCode;
            private Object createUserName;
            private Object spotCheckPersonCode;
            private String spotCheckPersonName;
            private Object locationName;
            private String siteName;
            private Object templateId;
            private Object procId;
            private Object approved;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(String createDateTime) {
                this.createDateTime = createDateTime;
            }

            public Object getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(Object updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getBillNum() {
                return billNum;
            }

            public void setBillNum(String billNum) {
                this.billNum = billNum;
            }

            public String getBillDescription() {
                return billDescription;
            }

            public void setBillDescription(String billDescription) {
                this.billDescription = billDescription;
            }

            public String getPlanId() {
                return planId;
            }

            public void setPlanId(String planId) {
                this.planId = planId;
            }

            public Object getAssetId() {
                return assetId;
            }

            public void setAssetId(Object assetId) {
                this.assetId = assetId;
            }

            public Object getSpotCheckPersonId() {
                return spotCheckPersonId;
            }

            public void setSpotCheckPersonId(Object spotCheckPersonId) {
                this.spotCheckPersonId = spotCheckPersonId;
            }

            public Object getAcceptancePsersionId() {
                return acceptancePsersionId;
            }

            public void setAcceptancePsersionId(Object acceptancePsersionId) {
                this.acceptancePsersionId = acceptancePsersionId;
            }

            public Object getLocationId() {
                return locationId;
            }

            public void setLocationId(Object locationId) {
                this.locationId = locationId;
            }

            public Object getDescription() {
                return description;
            }

            public void setDescription(Object description) {
                this.description = description;
            }

            public Object getPlanBeginTime() {
                return planBeginTime;
            }

            public void setPlanBeginTime(Object planBeginTime) {
                this.planBeginTime = planBeginTime;
            }

            public Object getPlanEndTime() {
                return planEndTime;
            }

            public void setPlanEndTime(Object planEndTime) {
                this.planEndTime = planEndTime;
            }

            public Object getBeginTimePlan() {
                return beginTimePlan;
            }

            public void setBeginTimePlan(Object beginTimePlan) {
                this.beginTimePlan = beginTimePlan;
            }

            public Object getEndTimePlan() {
                return endTimePlan;
            }

            public void setEndTimePlan(Object endTimePlan) {
                this.endTimePlan = endTimePlan;
            }

            public Object getBeginTimeAdjust() {
                return beginTimeAdjust;
            }

            public void setBeginTimeAdjust(Object beginTimeAdjust) {
                this.beginTimeAdjust = beginTimeAdjust;
            }

            public Object getEndTimeAdjust() {
                return endTimeAdjust;
            }

            public void setEndTimeAdjust(Object endTimeAdjust) {
                this.endTimeAdjust = endTimeAdjust;
            }

            public String getBeginTimeActual() {
                return beginTimeActual;
            }

            public void setBeginTimeActual(String beginTimeActual) {
                this.beginTimeActual = beginTimeActual;
            }

            public Object getEndTimeActual() {
                return endTimeActual;
            }

            public void setEndTimeActual(Object endTimeActual) {
                this.endTimeActual = endTimeActual;
            }

            public Object getAdjustBeginTime() {
                return adjustBeginTime;
            }

            public void setAdjustBeginTime(Object adjustBeginTime) {
                this.adjustBeginTime = adjustBeginTime;
            }

            public Object getAdjustEndTime() {
                return adjustEndTime;
            }

            public void setAdjustEndTime(Object adjustEndTime) {
                this.adjustEndTime = adjustEndTime;
            }

            public String getActualBeginTime() {
                return actualBeginTime;
            }

            public void setActualBeginTime(String actualBeginTime) {
                this.actualBeginTime = actualBeginTime;
            }

            public Object getActualEndTime() {
                return actualEndTime;
            }

            public void setActualEndTime(Object actualEndTime) {
                this.actualEndTime = actualEndTime;
            }

            public Object getCreateby() {
                return createby;
            }

            public void setCreateby(Object createby) {
                this.createby = createby;
            }

            public Object getChangeby() {
                return changeby;
            }

            public void setChangeby(Object changeby) {
                this.changeby = changeby;
            }

            public Object getDelete() {
                return delete;
            }

            public void setDelete(Object delete) {
                this.delete = delete;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public Object getSiteId() {
                return siteId;
            }

            public void setSiteId(Object siteId) {
                this.siteId = siteId;
            }

            public Object getOrgId() {
                return orgId;
            }

            public void setOrgId(Object orgId) {
                this.orgId = orgId;
            }

            public Object getAstAssetCode() {
                return astAssetCode;
            }

            public void setAstAssetCode(Object astAssetCode) {
                this.astAssetCode = astAssetCode;
            }

            public Object getAstAssetName() {
                return astAssetName;
            }

            public void setAstAssetName(Object astAssetName) {
                this.astAssetName = astAssetName;
            }

            public Object getCreateUserCode() {
                return createUserCode;
            }

            public void setCreateUserCode(Object createUserCode) {
                this.createUserCode = createUserCode;
            }

            public Object getCreateUserName() {
                return createUserName;
            }

            public void setCreateUserName(Object createUserName) {
                this.createUserName = createUserName;
            }

            public Object getSpotCheckPersonCode() {
                return spotCheckPersonCode;
            }

            public void setSpotCheckPersonCode(Object spotCheckPersonCode) {
                this.spotCheckPersonCode = spotCheckPersonCode;
            }

            public String getSpotCheckPersonName() {
                return spotCheckPersonName;
            }

            public void setSpotCheckPersonName(String spotCheckPersonName) {
                this.spotCheckPersonName = spotCheckPersonName;
            }

            public Object getLocationName() {
                return locationName;
            }

            public void setLocationName(Object locationName) {
                this.locationName = locationName;
            }

            public String getSiteName() {
                return siteName;
            }

            public void setSiteName(String siteName) {
                this.siteName = siteName;
            }

            public Object getTemplateId() {
                return templateId;
            }

            public void setTemplateId(Object templateId) {
                this.templateId = templateId;
            }

            public Object getProcId() {
                return procId;
            }

            public void setProcId(Object procId) {
                this.procId = procId;
            }

            public Object getApproved() {
                return approved;
            }

            public void setApproved(Object approved) {
                this.approved = approved;
            }
    }
}
